<template>
  <b-container class="login-container">
    <b-row class="login-container__row">
      <b-col class="login-fields" cols="12">
        <b-row class="login-fields__title">Salon Login</b-row>
        <br />
        <b-row class="login-fields__form-part">
          <b-col xl="5" lg="5" md="8" sm="12" cols="12">
            <b-form @submit.prevent="handleLogin">
              <b-form-group
                id="input-group-1"
                label=""
                label-for="input-1"
                description=""
              >
                <b-form-input
                  id="input-1"
                  v-model="form.userID"
                  type="text"
                  placeholder="Enter ID"
                  required
                  class="id-login"
                ></b-form-input>
              </b-form-group>

              <b-form-group
                id="input-group-2"
                label=""
                label-for="input-2"
                description=""
              >
                <b-form-input
                  id="input-2"
                  v-model="form.password"
                  type="password"
                  placeholder="Enter password"
                  required
                  class="password-login"
                ></b-form-input>
              </b-form-group>

              <b-button class="btn-login" block type="submit" variant="primary"
                >Login</b-button
              >
            </b-form>
          </b-col>
        </b-row>
      </b-col>
    </b-row>
  </b-container>
</template>

<script>
import "./LoginForm.scss";
import axios from "axios";

export default {
  name: "LoginForm",
  props: {},
  data() {
    return {
      form: {
        password: "",
        solutionId: "3002",
        userID: "",
      },
      foods: [
        { text: "Select One", value: null },
        "Carrots",
        "Beans",
        "Tomatoes",
        "Corn",
      ],
      show: true,
    };
  },
  methods: {
    async handleLogin() {
      // event.preventDefault();
      // alert(JSON.stringify(this.form));
      // console.log("event = ", event);
      // var res = await axios({
      //   url: "https://dog.ceo/api/breeds/list/all",
      //   method: "get",
      // });
      console.log("this. form = ", this.form);
      var result_api = await axios.post("https://ahasoft-salon-admin-http-aggregator-dev.azurewebsites.net/api/aggr/v1/auth/Login/Subscriber?culture=en-US&ui-culture=en-US", this.form);
      var result = result_api.data.result;
      console.log("Check cookie = ", this.$cookies.isKey("token"));
      console.log("this.$cookies.get(keyName) = ", this.$cookies.get("token"));
      if (result){
        console.log("Có tồn tại người dùng");
        console.log("result = ", result);
        this.$cookies.set("token", result, Infinity);
      }
      else{
        console.log("Người dùng không tồn tại");
        this.$cookies.remove("token");
      }
      // console.log("this.$cookies.keys() = ", this.$cookies.keys());
    },
  },
};
// https://ahasoft-salon-admin-http-aggregator-dev.azurewebsites.net/api/aggr/v1/auth/Login/Subscriber?culture=en-US&ui-culture=en-US
// ahasoft-salon-admin-http-aggregator-dev.azurewebsites.net

</script>


<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" scoped>
</style>
